Name:           powwow
Version:        1.2.14
Release:        3%{?dist}
Summary:        A console MUD client

Group:          Applications/Internet
License:        GPLv2+
URL:            http://hoopajoo.net/projects/powwow.html
Source:         http://hoopajoo.net/static/projects/%{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  ncurses-devel

%description
Powwow is a powerful console MUD client that supports triggers, aliases,
multiple connections, and more. It is primarily designed for DikuMUDs, but
nothing prevents its use for other types of MUDs. This client is also
extensible through a plugin interface.


%package devel
Summary:        Development files for powwow
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
The powwow-devel package contains the headers files and developer docs
for developing applications which use powwow plugin interface.


%prep
%setup -q

# Convert to utf-8
for file in README powwow.doc; do
    mv $file timestamp
    iconv -f ISO-8859-1 -t UTF-8 -o $file timestamp
    touch -r timestamp $file
done


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Remove the documentation here. We install it with %doc instead to
# the standard directory.
rm -f $RPM_BUILD_ROOT%{_datadir}/powwow/powwow.doc

# Rename / delete executables to avoid possible name clashes and to reflect
# changes in upcoming powwow release.
# The following lines can be removed after powwow-1.2.15 has been released.
mv $RPM_BUILD_ROOT%{_bindir}/{movie_play,powwow-movieplay}
ln -s powwow-movieplay $RPM_BUILD_ROOT%{_bindir}/powwow-movie2ascii
mv $RPM_BUILD_ROOT%{_bindir}/{muc,powwow-muc}
rm -f $RPM_BUILD_ROOT%{_bindir}/{catrw,follow}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
# COPYING can not be included in %doc because the app
# needs it at runtime.
%doc ChangeLog Config.demo powwow.doc README
%{_datadir}/powwow/
%{_bindir}/*
%{_mandir}/man6/*


%files devel
%defattr(-,root,root,-)
%doc Hacking README.modules TODO
%{_includedir}/powwow/


%changelog
* Mon Apr 20 2009 Kalev Lember <kalev@smartlink.ee> - 1.2.14-3
- Rework powwow-devel description.
- Rename movie_play and muc, remove catrw and follow to avoid
  possible name clashes and to reflect upstream changes.

* Thu Apr 16 2009 Kalev Lember <kalev@smartlink.ee> - 1.2.14-2
- Remove COPYING from %%doc, because it is needed at runtime.

* Wed Apr 15 2009 Kalev Lember <kalev@smartlink.ee> - 1.2.14-1
- Update to powwow 1.2.14.

* Wed Mar 25 2009 Kalev Lember <kalev@smartlink.ee> - 1.2.13-2
- Fix the package to own all the directories it creates.
- Move development-related docs to devel subpackage.

* Sun Mar 22 2009 Kalev Lember <kalev@smartlink.ee> - 1.2.13-1
- Initial RPM release.
